Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network176.0.0.0/4
Usable hosts268,435,454
Subnet mask240.0.0.0
Addresses268,435,456
Network address
176.0.0.0
Broadcast address
191.255.255.255
First usable
176.0.0.1
Last usable
191.255.255.254
Usable hosts
268,435,454 (268,435,456 less the network and broadcast addresses)
Subnet mask
240.0.0.0
Wildcard mask
15.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/4
Type
Public public
Old class
B (default /16)
As numbers
Hex B0000000 · Integer 2952790016 to 3221225471
Reverse DNS zones
176.in-addr.arpa
177.in-addr.arpa
178.in-addr.arpa
179.in-addr.arpa
180.in-addr.arpa
181.in-addr.arpa
182.in-addr.arpa
183.in-addr.arpa
184.in-addr.arpa
185.in-addr.arpa
186.in-addr.arpa
187.in-addr.arpa
188.in-addr.arpa
189.in-addr.arpa
190.in-addr.arpa
191.in-addr.arpa
/4 is not on a 8-bit boundary, so it takes 16 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10110000.00000000.00000000.00000000176.0.0.0
Subnet mask11110000.00000000.00000000.00000000240.0.0.0
Network10110000.00000000.00000000.00000000176.0.0.0
Broadcast10111111.11111111.11111111.11111111191.255.255.255
Split into smaller subnets/15

176.0.0.0/4 makes 2,048 subnets of /15; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1176.0.0.0/15176.0.0.1 to 176.1.255.254176.1.255.255131,070
2176.2.0.0/15176.2.0.1 to 176.3.255.254176.3.255.255131,070
3176.4.0.0/15176.4.0.1 to 176.5.255.254176.5.255.255131,070
4176.6.0.0/15176.6.0.1 to 176.7.255.254176.7.255.255131,070
5176.8.0.0/15176.8.0.1 to 176.9.255.254176.9.255.255131,070
6176.10.0.0/15176.10.0.1 to 176.11.255.254176.11.255.255131,070
7176.12.0.0/15176.12.0.1 to 176.13.255.254176.13.255.255131,070
8176.14.0.0/15176.14.0.1 to 176.15.255.254176.15.255.255131,070
9176.16.0.0/15176.16.0.1 to 176.17.255.254176.17.255.255131,070
10176.18.0.0/15176.18.0.1 to 176.19.255.254176.19.255.255131,070
11176.20.0.0/15176.20.0.1 to 176.21.255.254176.21.255.255131,070
12176.22.0.0/15176.22.0.1 to 176.23.255.254176.23.255.255131,070
13176.24.0.0/15176.24.0.1 to 176.25.255.254176.25.255.255131,070
14176.26.0.0/15176.26.0.1 to 176.27.255.254176.27.255.255131,070
15176.28.0.0/15176.28.0.1 to 176.29.255.254176.29.255.255131,070
16176.30.0.0/15176.30.0.1 to 176.31.255.254176.31.255.255131,070
17176.32.0.0/15176.32.0.1 to 176.33.255.254176.33.255.255131,070
18176.34.0.0/15176.34.0.1 to 176.35.255.254176.35.255.255131,070
19176.36.0.0/15176.36.0.1 to 176.37.255.254176.37.255.255131,070
20176.38.0.0/15176.38.0.1 to 176.39.255.254176.39.255.255131,070
21176.40.0.0/15176.40.0.1 to 176.41.255.254176.41.255.255131,070
22176.42.0.0/15176.42.0.1 to 176.43.255.254176.43.255.255131,070
23176.44.0.0/15176.44.0.1 to 176.45.255.254176.45.255.255131,070
24176.46.0.0/15176.46.0.1 to 176.47.255.254176.47.255.255131,070
25176.48.0.0/15176.48.0.1 to 176.49.255.254176.49.255.255131,070
26176.50.0.0/15176.50.0.1 to 176.51.255.254176.51.255.255131,070
27176.52.0.0/15176.52.0.1 to 176.53.255.254176.53.255.255131,070
28176.54.0.0/15176.54.0.1 to 176.55.255.254176.55.255.255131,070
29176.56.0.0/15176.56.0.1 to 176.57.255.254176.57.255.255131,070
30176.58.0.0/15176.58.0.1 to 176.59.255.254176.59.255.255131,070
31176.60.0.0/15176.60.0.1 to 176.61.255.254176.61.255.255131,070
32176.62.0.0/15176.62.0.1 to 176.63.255.254176.63.255.255131,070
33176.64.0.0/15176.64.0.1 to 176.65.255.254176.65.255.255131,070
34176.66.0.0/15176.66.0.1 to 176.67.255.254176.67.255.255131,070
35176.68.0.0/15176.68.0.1 to 176.69.255.254176.69.255.255131,070
36176.70.0.0/15176.70.0.1 to 176.71.255.254176.71.255.255131,070
37176.72.0.0/15176.72.0.1 to 176.73.255.254176.73.255.255131,070
38176.74.0.0/15176.74.0.1 to 176.75.255.254176.75.255.255131,070
39176.76.0.0/15176.76.0.1 to 176.77.255.254176.77.255.255131,070
40176.78.0.0/15176.78.0.1 to 176.79.255.254176.79.255.255131,070
41176.80.0.0/15176.80.0.1 to 176.81.255.254176.81.255.255131,070
42176.82.0.0/15176.82.0.1 to 176.83.255.254176.83.255.255131,070
43176.84.0.0/15176.84.0.1 to 176.85.255.254176.85.255.255131,070
44176.86.0.0/15176.86.0.1 to 176.87.255.254176.87.255.255131,070
45176.88.0.0/15176.88.0.1 to 176.89.255.254176.89.255.255131,070
46176.90.0.0/15176.90.0.1 to 176.91.255.254176.91.255.255131,070
47176.92.0.0/15176.92.0.1 to 176.93.255.254176.93.255.255131,070
48176.94.0.0/15176.94.0.1 to 176.95.255.254176.95.255.255131,070
49176.96.0.0/15176.96.0.1 to 176.97.255.254176.97.255.255131,070
50176.98.0.0/15176.98.0.1 to 176.99.255.254176.99.255.255131,070
51176.100.0.0/15176.100.0.1 to 176.101.255.254176.101.255.255131,070
52176.102.0.0/15176.102.0.1 to 176.103.255.254176.103.255.255131,070
53176.104.0.0/15176.104.0.1 to 176.105.255.254176.105.255.255131,070
54176.106.0.0/15176.106.0.1 to 176.107.255.254176.107.255.255131,070
55176.108.0.0/15176.108.0.1 to 176.109.255.254176.109.255.255131,070
56176.110.0.0/15176.110.0.1 to 176.111.255.254176.111.255.255131,070
57176.112.0.0/15176.112.0.1 to 176.113.255.254176.113.255.255131,070
58176.114.0.0/15176.114.0.1 to 176.115.255.254176.115.255.255131,070
59176.116.0.0/15176.116.0.1 to 176.117.255.254176.117.255.255131,070
60176.118.0.0/15176.118.0.1 to 176.119.255.254176.119.255.255131,070
61176.120.0.0/15176.120.0.1 to 176.121.255.254176.121.255.255131,070
62176.122.0.0/15176.122.0.1 to 176.123.255.254176.123.255.255131,070
63176.124.0.0/15176.124.0.1 to 176.125.255.254176.125.255.255131,070
64176.126.0.0/15176.126.0.1 to 176.127.255.254176.127.255.255131,070
65176.128.0.0/15176.128.0.1 to 176.129.255.254176.129.255.255131,070
66176.130.0.0/15176.130.0.1 to 176.131.255.254176.131.255.255131,070
67176.132.0.0/15176.132.0.1 to 176.133.255.254176.133.255.255131,070
68176.134.0.0/15176.134.0.1 to 176.135.255.254176.135.255.255131,070
69176.136.0.0/15176.136.0.1 to 176.137.255.254176.137.255.255131,070
70176.138.0.0/15176.138.0.1 to 176.139.255.254176.139.255.255131,070
71176.140.0.0/15176.140.0.1 to 176.141.255.254176.141.255.255131,070
72176.142.0.0/15176.142.0.1 to 176.143.255.254176.143.255.255131,070
73176.144.0.0/15176.144.0.1 to 176.145.255.254176.145.255.255131,070
74176.146.0.0/15176.146.0.1 to 176.147.255.254176.147.255.255131,070
75176.148.0.0/15176.148.0.1 to 176.149.255.254176.149.255.255131,070
76176.150.0.0/15176.150.0.1 to 176.151.255.254176.151.255.255131,070
77176.152.0.0/15176.152.0.1 to 176.153.255.254176.153.255.255131,070
78176.154.0.0/15176.154.0.1 to 176.155.255.254176.155.255.255131,070
79176.156.0.0/15176.156.0.1 to 176.157.255.254176.157.255.255131,070
80176.158.0.0/15176.158.0.1 to 176.159.255.254176.159.255.255131,070
81176.160.0.0/15176.160.0.1 to 176.161.255.254176.161.255.255131,070
82176.162.0.0/15176.162.0.1 to 176.163.255.254176.163.255.255131,070
83176.164.0.0/15176.164.0.1 to 176.165.255.254176.165.255.255131,070
84176.166.0.0/15176.166.0.1 to 176.167.255.254176.167.255.255131,070
85176.168.0.0/15176.168.0.1 to 176.169.255.254176.169.255.255131,070
86176.170.0.0/15176.170.0.1 to 176.171.255.254176.171.255.255131,070
87176.172.0.0/15176.172.0.1 to 176.173.255.254176.173.255.255131,070
88176.174.0.0/15176.174.0.1 to 176.175.255.254176.175.255.255131,070
89176.176.0.0/15176.176.0.1 to 176.177.255.254176.177.255.255131,070
90176.178.0.0/15176.178.0.1 to 176.179.255.254176.179.255.255131,070
91176.180.0.0/15176.180.0.1 to 176.181.255.254176.181.255.255131,070
92176.182.0.0/15176.182.0.1 to 176.183.255.254176.183.255.255131,070
93176.184.0.0/15176.184.0.1 to 176.185.255.254176.185.255.255131,070
94176.186.0.0/15176.186.0.1 to 176.187.255.254176.187.255.255131,070
95176.188.0.0/15176.188.0.1 to 176.189.255.254176.189.255.255131,070
96176.190.0.0/15176.190.0.1 to 176.191.255.254176.191.255.255131,070
97176.192.0.0/15176.192.0.1 to 176.193.255.254176.193.255.255131,070
98176.194.0.0/15176.194.0.1 to 176.195.255.254176.195.255.255131,070
99176.196.0.0/15176.196.0.1 to 176.197.255.254176.197.255.255131,070
100176.198.0.0/15176.198.0.1 to 176.199.255.254176.199.255.255131,070
101176.200.0.0/15176.200.0.1 to 176.201.255.254176.201.255.255131,070
102176.202.0.0/15176.202.0.1 to 176.203.255.254176.203.255.255131,070
103176.204.0.0/15176.204.0.1 to 176.205.255.254176.205.255.255131,070
104176.206.0.0/15176.206.0.1 to 176.207.255.254176.207.255.255131,070
105176.208.0.0/15176.208.0.1 to 176.209.255.254176.209.255.255131,070
106176.210.0.0/15176.210.0.1 to 176.211.255.254176.211.255.255131,070
107176.212.0.0/15176.212.0.1 to 176.213.255.254176.213.255.255131,070
108176.214.0.0/15176.214.0.1 to 176.215.255.254176.215.255.255131,070
109176.216.0.0/15176.216.0.1 to 176.217.255.254176.217.255.255131,070
110176.218.0.0/15176.218.0.1 to 176.219.255.254176.219.255.255131,070
111176.220.0.0/15176.220.0.1 to 176.221.255.254176.221.255.255131,070
112176.222.0.0/15176.222.0.1 to 176.223.255.254176.223.255.255131,070
113176.224.0.0/15176.224.0.1 to 176.225.255.254176.225.255.255131,070
114176.226.0.0/15176.226.0.1 to 176.227.255.254176.227.255.255131,070
115176.228.0.0/15176.228.0.1 to 176.229.255.254176.229.255.255131,070
116176.230.0.0/15176.230.0.1 to 176.231.255.254176.231.255.255131,070
117176.232.0.0/15176.232.0.1 to 176.233.255.254176.233.255.255131,070
118176.234.0.0/15176.234.0.1 to 176.235.255.254176.235.255.255131,070
119176.236.0.0/15176.236.0.1 to 176.237.255.254176.237.255.255131,070
120176.238.0.0/15176.238.0.1 to 176.239.255.254176.239.255.255131,070
121176.240.0.0/15176.240.0.1 to 176.241.255.254176.241.255.255131,070
122176.242.0.0/15176.242.0.1 to 176.243.255.254176.243.255.255131,070
123176.244.0.0/15176.244.0.1 to 176.245.255.254176.245.255.255131,070
124176.246.0.0/15176.246.0.1 to 176.247.255.254176.247.255.255131,070
125176.248.0.0/15176.248.0.1 to 176.249.255.254176.249.255.255131,070
126176.250.0.0/15176.250.0.1 to 176.251.255.254176.251.255.255131,070
127176.252.0.0/15176.252.0.1 to 176.253.255.254176.253.255.255131,070
128176.254.0.0/15176.254.0.1 to 176.255.255.254176.255.255.255131,070
129177.0.0.0/15177.0.0.1 to 177.1.255.254177.1.255.255131,070
130177.2.0.0/15177.2.0.1 to 177.3.255.254177.3.255.255131,070
131177.4.0.0/15177.4.0.1 to 177.5.255.254177.5.255.255131,070
132177.6.0.0/15177.6.0.1 to 177.7.255.254177.7.255.255131,070
133177.8.0.0/15177.8.0.1 to 177.9.255.254177.9.255.255131,070
134177.10.0.0/15177.10.0.1 to 177.11.255.254177.11.255.255131,070
135177.12.0.0/15177.12.0.1 to 177.13.255.254177.13.255.255131,070
136177.14.0.0/15177.14.0.1 to 177.15.255.254177.15.255.255131,070
137177.16.0.0/15177.16.0.1 to 177.17.255.254177.17.255.255131,070
138177.18.0.0/15177.18.0.1 to 177.19.255.254177.19.255.255131,070
139177.20.0.0/15177.20.0.1 to 177.21.255.254177.21.255.255131,070
140177.22.0.0/15177.22.0.1 to 177.23.255.254177.23.255.255131,070
141177.24.0.0/15177.24.0.1 to 177.25.255.254177.25.255.255131,070
142177.26.0.0/15177.26.0.1 to 177.27.255.254177.27.255.255131,070
143177.28.0.0/15177.28.0.1 to 177.29.255.254177.29.255.255131,070
144177.30.0.0/15177.30.0.1 to 177.31.255.254177.31.255.255131,070
145177.32.0.0/15177.32.0.1 to 177.33.255.254177.33.255.255131,070
146177.34.0.0/15177.34.0.1 to 177.35.255.254177.35.255.255131,070
147177.36.0.0/15177.36.0.1 to 177.37.255.254177.37.255.255131,070
148177.38.0.0/15177.38.0.1 to 177.39.255.254177.39.255.255131,070
149177.40.0.0/15177.40.0.1 to 177.41.255.254177.41.255.255131,070
150177.42.0.0/15177.42.0.1 to 177.43.255.254177.43.255.255131,070
151177.44.0.0/15177.44.0.1 to 177.45.255.254177.45.255.255131,070
152177.46.0.0/15177.46.0.1 to 177.47.255.254177.47.255.255131,070
153177.48.0.0/15177.48.0.1 to 177.49.255.254177.49.255.255131,070
154177.50.0.0/15177.50.0.1 to 177.51.255.254177.51.255.255131,070
155177.52.0.0/15177.52.0.1 to 177.53.255.254177.53.255.255131,070
156177.54.0.0/15177.54.0.1 to 177.55.255.254177.55.255.255131,070
157177.56.0.0/15177.56.0.1 to 177.57.255.254177.57.255.255131,070
158177.58.0.0/15177.58.0.1 to 177.59.255.254177.59.255.255131,070
159177.60.0.0/15177.60.0.1 to 177.61.255.254177.61.255.255131,070
160177.62.0.0/15177.62.0.1 to 177.63.255.254177.63.255.255131,070
161177.64.0.0/15177.64.0.1 to 177.65.255.254177.65.255.255131,070
162177.66.0.0/15177.66.0.1 to 177.67.255.254177.67.255.255131,070
163177.68.0.0/15177.68.0.1 to 177.69.255.254177.69.255.255131,070
164177.70.0.0/15177.70.0.1 to 177.71.255.254177.71.255.255131,070
165177.72.0.0/15177.72.0.1 to 177.73.255.254177.73.255.255131,070
166177.74.0.0/15177.74.0.1 to 177.75.255.254177.75.255.255131,070
167177.76.0.0/15177.76.0.1 to 177.77.255.254177.77.255.255131,070
168177.78.0.0/15177.78.0.1 to 177.79.255.254177.79.255.255131,070
169177.80.0.0/15177.80.0.1 to 177.81.255.254177.81.255.255131,070
170177.82.0.0/15177.82.0.1 to 177.83.255.254177.83.255.255131,070
171177.84.0.0/15177.84.0.1 to 177.85.255.254177.85.255.255131,070
172177.86.0.0/15177.86.0.1 to 177.87.255.254177.87.255.255131,070
173177.88.0.0/15177.88.0.1 to 177.89.255.254177.89.255.255131,070
174177.90.0.0/15177.90.0.1 to 177.91.255.254177.91.255.255131,070
175177.92.0.0/15177.92.0.1 to 177.93.255.254177.93.255.255131,070
176177.94.0.0/15177.94.0.1 to 177.95.255.254177.95.255.255131,070
177177.96.0.0/15177.96.0.1 to 177.97.255.254177.97.255.255131,070
178177.98.0.0/15177.98.0.1 to 177.99.255.254177.99.255.255131,070
179177.100.0.0/15177.100.0.1 to 177.101.255.254177.101.255.255131,070
180177.102.0.0/15177.102.0.1 to 177.103.255.254177.103.255.255131,070
181177.104.0.0/15177.104.0.1 to 177.105.255.254177.105.255.255131,070
182177.106.0.0/15177.106.0.1 to 177.107.255.254177.107.255.255131,070
183177.108.0.0/15177.108.0.1 to 177.109.255.254177.109.255.255131,070
184177.110.0.0/15177.110.0.1 to 177.111.255.254177.111.255.255131,070
185177.112.0.0/15177.112.0.1 to 177.113.255.254177.113.255.255131,070
186177.114.0.0/15177.114.0.1 to 177.115.255.254177.115.255.255131,070
187177.116.0.0/15177.116.0.1 to 177.117.255.254177.117.255.255131,070
188177.118.0.0/15177.118.0.1 to 177.119.255.254177.119.255.255131,070
189177.120.0.0/15177.120.0.1 to 177.121.255.254177.121.255.255131,070
190177.122.0.0/15177.122.0.1 to 177.123.255.254177.123.255.255131,070
191177.124.0.0/15177.124.0.1 to 177.125.255.254177.125.255.255131,070
192177.126.0.0/15177.126.0.1 to 177.127.255.254177.127.255.255131,070
193177.128.0.0/15177.128.0.1 to 177.129.255.254177.129.255.255131,070
194177.130.0.0/15177.130.0.1 to 177.131.255.254177.131.255.255131,070
195177.132.0.0/15177.132.0.1 to 177.133.255.254177.133.255.255131,070
196177.134.0.0/15177.134.0.1 to 177.135.255.254177.135.255.255131,070
197177.136.0.0/15177.136.0.1 to 177.137.255.254177.137.255.255131,070
198177.138.0.0/15177.138.0.1 to 177.139.255.254177.139.255.255131,070
199177.140.0.0/15177.140.0.1 to 177.141.255.254177.141.255.255131,070
200177.142.0.0/15177.142.0.1 to 177.143.255.254177.143.255.255131,070
201177.144.0.0/15177.144.0.1 to 177.145.255.254177.145.255.255131,070
202177.146.0.0/15177.146.0.1 to 177.147.255.254177.147.255.255131,070
203177.148.0.0/15177.148.0.1 to 177.149.255.254177.149.255.255131,070
204177.150.0.0/15177.150.0.1 to 177.151.255.254177.151.255.255131,070
205177.152.0.0/15177.152.0.1 to 177.153.255.254177.153.255.255131,070
206177.154.0.0/15177.154.0.1 to 177.155.255.254177.155.255.255131,070
207177.156.0.0/15177.156.0.1 to 177.157.255.254177.157.255.255131,070
208177.158.0.0/15177.158.0.1 to 177.159.255.254177.159.255.255131,070
209177.160.0.0/15177.160.0.1 to 177.161.255.254177.161.255.255131,070
210177.162.0.0/15177.162.0.1 to 177.163.255.254177.163.255.255131,070
211177.164.0.0/15177.164.0.1 to 177.165.255.254177.165.255.255131,070
212177.166.0.0/15177.166.0.1 to 177.167.255.254177.167.255.255131,070
213177.168.0.0/15177.168.0.1 to 177.169.255.254177.169.255.255131,070
214177.170.0.0/15177.170.0.1 to 177.171.255.254177.171.255.255131,070
215177.172.0.0/15177.172.0.1 to 177.173.255.254177.173.255.255131,070
216177.174.0.0/15177.174.0.1 to 177.175.255.254177.175.255.255131,070
217177.176.0.0/15177.176.0.1 to 177.177.255.254177.177.255.255131,070
218177.178.0.0/15177.178.0.1 to 177.179.255.254177.179.255.255131,070
219177.180.0.0/15177.180.0.1 to 177.181.255.254177.181.255.255131,070
220177.182.0.0/15177.182.0.1 to 177.183.255.254177.183.255.255131,070
221177.184.0.0/15177.184.0.1 to 177.185.255.254177.185.255.255131,070
222177.186.0.0/15177.186.0.1 to 177.187.255.254177.187.255.255131,070
223177.188.0.0/15177.188.0.1 to 177.189.255.254177.189.255.255131,070
224177.190.0.0/15177.190.0.1 to 177.191.255.254177.191.255.255131,070
225177.192.0.0/15177.192.0.1 to 177.193.255.254177.193.255.255131,070
226177.194.0.0/15177.194.0.1 to 177.195.255.254177.195.255.255131,070
227177.196.0.0/15177.196.0.1 to 177.197.255.254177.197.255.255131,070
228177.198.0.0/15177.198.0.1 to 177.199.255.254177.199.255.255131,070
229177.200.0.0/15177.200.0.1 to 177.201.255.254177.201.255.255131,070
230177.202.0.0/15177.202.0.1 to 177.203.255.254177.203.255.255131,070
231177.204.0.0/15177.204.0.1 to 177.205.255.254177.205.255.255131,070
232177.206.0.0/15177.206.0.1 to 177.207.255.254177.207.255.255131,070
233177.208.0.0/15177.208.0.1 to 177.209.255.254177.209.255.255131,070
234177.210.0.0/15177.210.0.1 to 177.211.255.254177.211.255.255131,070
235177.212.0.0/15177.212.0.1 to 177.213.255.254177.213.255.255131,070
236177.214.0.0/15177.214.0.1 to 177.215.255.254177.215.255.255131,070
237177.216.0.0/15177.216.0.1 to 177.217.255.254177.217.255.255131,070
238177.218.0.0/15177.218.0.1 to 177.219.255.254177.219.255.255131,070
239177.220.0.0/15177.220.0.1 to 177.221.255.254177.221.255.255131,070
240177.222.0.0/15177.222.0.1 to 177.223.255.254177.223.255.255131,070
241177.224.0.0/15177.224.0.1 to 177.225.255.254177.225.255.255131,070
242177.226.0.0/15177.226.0.1 to 177.227.255.254177.227.255.255131,070
243177.228.0.0/15177.228.0.1 to 177.229.255.254177.229.255.255131,070
244177.230.0.0/15177.230.0.1 to 177.231.255.254177.231.255.255131,070
245177.232.0.0/15177.232.0.1 to 177.233.255.254177.233.255.255131,070
246177.234.0.0/15177.234.0.1 to 177.235.255.254177.235.255.255131,070
247177.236.0.0/15177.236.0.1 to 177.237.255.254177.237.255.255131,070
248177.238.0.0/15177.238.0.1 to 177.239.255.254177.239.255.255131,070
249177.240.0.0/15177.240.0.1 to 177.241.255.254177.241.255.255131,070
250177.242.0.0/15177.242.0.1 to 177.243.255.254177.243.255.255131,070
251177.244.0.0/15177.244.0.1 to 177.245.255.254177.245.255.255131,070
252177.246.0.0/15177.246.0.1 to 177.247.255.254177.247.255.255131,070
253177.248.0.0/15177.248.0.1 to 177.249.255.254177.249.255.255131,070
254177.250.0.0/15177.250.0.1 to 177.251.255.254177.251.255.255131,070
255177.252.0.0/15177.252.0.1 to 177.253.255.254177.253.255.255131,070
256177.254.0.0/15177.254.0.1 to 177.255.255.254177.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses